|  | Reflex::Library Struct Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Reflex::Library Struct Reference

A library entry to describe regex library properties. More...

`#include <reflex.h>`

## Public Attributes

const char * | name
| the unique ID name of the regex library More...
const char * | file
| the header file to include More...
const char * | pattern
| the name of the pattern class or C++ type used by the matcher class More...
const char * | matcher
| the name of the matcher class More...
const char * | signature
| a regex library signature of the form "[decls:]escapes[?+]" More...

## Detailed Description

A library entry to describe regex library properties.

## Member Data Documentation

const char* Reflex::Library::file

the header file to include

const char* Reflex::Library::matcher

the name of the matcher class

const char* Reflex::Library::name

the unique ID name of the regex library

const char* Reflex::Library::pattern

the name of the pattern class or C++ type used by the matcher class

const char* Reflex::Library::signature

a regex library signature of the form "[decls:]escapes[?+]"

The documentation for this struct was generated from the following file:

- reflex.h